z8530_rx_done
Prev | Chapter 10. Internal Functions | Next

## Name

z8530_rx_done — Receive completion callback

## Synopsis

`void z8530_rx_done (` | struct z8530_channel * | c`)`;

## Arguments

`c`

  The channel that completed a receive

## Description

A new packet is complete. Our goal here is to get back into receive mode as fast as possible. On the Z85230 we could change to using ESCC mode, but on the older chips we have no choice. We flip to the new buffer immediately in DMA mode so that the DMA of the next frame can occur while we are copying the previous buffer to an sk_buff

Called with the lock held

Prev | Up | Next
z8530_tx_done | Home | spans_boundary